<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV098-49-ga9cb64a5:2022-11-14#


use \OxidEsales\Eshop\Core\DatabaseProvider;

class OxidDbConnection implements IDatabaseConnection {

	public function __construct() {
		$GLOBALS['DatabaseConnection_toSql_object'] = $this;
	}

	public function sqlQuery($sql) {
		$res = DatabaseProvider::getDb(DatabaseProvider::FETCH_MODE_ASSOC)->getAll($sql);
		return $res;
	}

	public function sqlExecute($sql) {
		DatabaseProvider::getDb()->execute($sql);
	}

	function getInsertId() {
		return DatabaseProvider::getDb()->getLastInsertId();
	}

	function toSql($text) {
		if (is_null($text)) {
			return "null";
		} else {
			return DatabaseProvider::getDb()->quote($text);
		}
	}

}
