<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV098-49-ga9cb64a5:2022-11-14#


//namespace OxidEsales\PayPalModule\Controller;

use OxidEsales\Eshop\Core\Registry;
require_once(Registry::getConfig()->getConfigParam('sShopDir').'/UniModul/UniOrderControllerHelper.php');


/**
 * @mixin \OxidEsales\Eshop\Application\Controller\OrderController
 */
class GPWebPayGpeOrderController extends GPWebPayGpeOrderController_parent
{
	protected function _getNextStep($iSuccess)
	{
		$h = new UniOrderControllerHelper($this, 'GPWebPayGpe');
		return $h->_getNextStep($iSuccess);
	}

	public function GPWebPayGpeParent_getNextStep($iSuccess)
	{
		return GPWebPayGpeOrderController_parent::_getNextStep($iSuccess);
	}

	public function processGatewayReturn()
	{
		$h = new UniOrderControllerHelper($this, 'GPWebPayGpe');
		return $h->processGatewayReturn();
	}
}
