<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV098-49-ga9cb64a5:2022-11-14#


//namespace OxidEsales\PayPalModule\Core;

use OxidEsales\Eshop\Core\Registry;
require_once(Registry::getConfig()->getConfigParam('sShopDir').'/UniModul/UniOrderControllerHelper.php');

/**
 * Class defines what module does on Shop events.
 */
class GPWebPayGpeEvents
{

    /**
     * Execute action on activate event
     */
    public static function onActivate()
    {
		$h = new UniOrderControllerHelper(null, 'GPWebPayGpe');
		return $h->onActivate();
    }

    public static function onDeactivate()
    {
		$h = new UniOrderControllerHelper(null, 'GPWebPayGpe');
		return $h->onDeactivate();
    }
}
